from discord.ext import commands


class Ows(commands.Cog):
    def __init__(self, client):
        self._last_member = None
        self.client = client

    @commands.Cog.listener()
    async def on_message(self, message):
        if self.client.get_channel(message.channel.id) == self.client.get_channel(492089451476942848):  # ows auto mod
            words = message.content.split(' ')
            if len(words) > 1:
                await message.delete()
        await self.client.process_commands(message)


def setup(client):
    client.add_cog(Ows(client))
